Subject: Re: [PATCH] Stgit - gitmergeonefile.py: handle removal vs. changes

From: Catalin Marinas <[email-masked]>
Date: Sat, 07 Jan 2006 11:23:05 +0000

Blaisorblade wrote:

>The original patch hasn't been merged, nor (for what I see) anything else to 
>fix this problem has been done.
>  
>
Indeed, I forgot about it.

>I assume the patch was lost waiting for the discussion to settle down, but the 
>patch can be merged, even changing the default choices in any way (see 
>below).
>  
>
I merged it as it is. I will think about the default options once I get
some time to fix the .local, .older and .remote extensions (give them
some meaningful names).

>Also, another note: I just found Bruce Eckel mentioning pychecker, which is a 
>static code checker for Python (to perform the checks a compiler would 
>normally do). I've not the time to investigate more myself, but I hope it can 
>be useful to you.
>  
>
Thanks. I'll give it a try.

Catalin